/*
	Copyright (C) 2011  Andrew Cotter

	This program is free software: you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation, either version 3 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
	\internal
	\file headers.hh
	\brief Precompiled header
*/




#ifndef __HEADERS_HH__
#define __HEADERS_HH__




#include "dynamic_wsp.h"
#include "wsp.hh"
#include "quadtree.hh"
#include "clipped_voronoi.hh"
#include "vector.hh"
#include "accuracy.hh"
#include "refcount.hh"
#include "pool.hh"
#include "maybe_threaded.hh"
#include "helpers.hh"


#include <gmpxx.h>


#include <boost/thread.hpp>
#include <boost/thread/barrier.hpp>
#include <boost/thread/mutex.hpp>
#include <boost/thread/locks.hpp>

#include <boost/type_traits.hpp>
#include <boost/bind.hpp>
#include <boost/function.hpp>
#include <boost/array.hpp>
#include <boost/shared_ptr.hpp>
#include <boost/shared_array.hpp>
#include <boost/assert.hpp>
#include <boost/static_assert.hpp>


#include <string>
#include <map>
#include <set>
#include <list>
#include <vector>
#include <queue>

#include <iostream>

#include <algorithm>
#include <limits>
#include <memory>
#include <new>
#include <stdexcept>

#include <cstdint>
#include <cstdlib>
#include <cstddef>
#include <cmath>

#include <tr1/functional>
#include <tr1/type_traits>


#include <math.h>
#include <stdio.h>
#include <string.h>
#include <fcntl.h>




#endif    /* __HEADERS_HH__ */
